NSText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWContentListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWPageSpan.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "NSParser.hxx"`
`#include "NSStruct.hxx"`
`#include "NSText.hxx"`

## Classes

struct | NSTextInternal::Font
| Internal: the fonts and many other data. More...
struct | NSTextInternal::Paragraph
| Internal: class to store the paragraph properties. More...
struct | NSTextInternal::HeaderFooter
| Internal structure: use to store a header. More...
struct | NSTextInternal::Footnote
| Internal structure: use to store a footnote. More...
struct | NSTextInternal::PicturePara
| Internal: the picture data ( PICD ) More...
struct | NSTextInternal::DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | NSTextInternal::Zone
| internal structure used to store zone data More...
struct | NSTextInternal::State
| Internal: the state of a NSText. More...
class | NSTextInternal::SubDocument
| Internal: the subdocument of a NSText. More...

## Namespaces

| NSTextInternal
| Internal: the structures of a NSText.

## Enumerations

enum | NSTextInternal::PLCType { NSTextInternal::P_Format =0, NSTextInternal::P_Ruler, NSTextInternal::P_Footnote, NSTextInternal::P_HeaderFooter, NSTextInternal::P_PicturePara, NSTextInternal::P_Unknown }
| different types More...

## Functions

std::ostream & | NSTextInternal::operator<< (std::ostream &o, Font const &font)
std::ostream & | NSTextInternal::operator<< (std::ostream &o, HeaderFooter const &hf)
std::ostream & | NSTextInternal::operator<< (std::ostream &o, Footnote const &ft)
std::ostream & | NSTextInternal::operator<< (std::ostream &o, PicturePara const &pict)
std::ostream & | NSTextInternal::operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for DataPLC More...